Skip to main content
PATCH
Update a cash transfer

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Path Parameters

id
string<uuid>
required

Cashier Transfer ID

Body

application/json

Properties of the Cashier transfer to update.

Properties for updating a transfer

destination_account_id
string<uuid>

The UUID of the Synctera account resource that is the destination of the transfer for incoming transfers. This can only be updated if the transfer is suspended.

Example:

"fccb4a46-1261-4e91-b622-73b5b946183d"

source_data
object

Additional information to be added to the transfer

status
enum<string>
Available options:
CANCELLED

Response

The updated Cashier transfer.

Cash transfer

amount
integer<int64>
required

Transfer amount in cents

Required range: x >= 1
Example:

10000

dc_sign
enum<string>
required

Debit or credit sign

Available options:
DEBIT,
CREDIT
Example:

"DEBIT"

effective_date
string<date>
required

The effective date of the transaction once it gets posted

Example:

"2022-03-18"

id
string<uuid>
required

ID of the transfer

is_same_day
boolean
required

Send the same day (use only is_same_day without specific effective_date).

Example:

true

reference_id
string
required

The reference id of the transfer.

Example:

123456789

status
enum<string>
required

The status of the transfer in the Synctera platform. This is automatically set upon the creation of a transfer. To cancel a transfer, the current status must be 'INITIATED' or 'PENDING' and the request status set to 'CANCELLED'. To trigger a return, the current status must be 'POSTED' and the returned status will be set to 'RETURNED' if successful.

Available options:
INITIATED,
PENDING,
POSTED,
CANCELLED,
EXPIRED
Example:

"POSTED"

subtype
enum<string>
required

The subtype of the transfer

Available options:
CASH_ORDER,
CASH_ORDER_REVERSAL,
DEPOSIT,
DEPOSIT_REVERSAL
Example:

"CASH_ORDER"

tenant_id
string
required

The id of the tenant containing the resource.

Example:

"abcdef_ghijkl"

source_data
object

Additional information to be added to the transfer

client_bank_account
string

The bank account of the client.

Example:

123456789

client_name
string

The name of the client.

Example:

"Fintech A"

customer_id
string

The UUID of the Synctera customer resource that is the originator of the transfer.

Example:

"46fec39e-e776-4571-bf90-d0e1d15172fe"

destination_account_id
string

The UUID of the Synctera account that is the destination of the transfer. For a transfer originated by the Synctera platform, this will be an external account resource, while for a transfer originated by the external account, this account will be an account resource.

Example:

"fccb4a46-1261-4e91-b622-73b5b946183d"

destination_account_number
string<string>

The account number of the destination account.

Example:

1344012344

destination_account_owner_name
string

The account owner name of the destination account.

failed
boolean

Whether the transfer failed or not.

Example:

false

history
object[]
network_status
enum<string>

The network status of the transfer in the Synctera platform.

Available options:
PENDING,
POSTED,
RETURNED,
REVERSED
Example:

"POSTED"

original_reference_id
string

The original reference id of the transfer if it's a return.

Example:

123456788

originating_account_id
string

The UUID of the Synctera account that is the origination of the transfer. For a transfer originated by the Synctera platform, this will be an account resource, while for a transfer originated by the external account, this will be an external account resource.

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

originating_account_number
string<string>

The account number of the originating account.

Example:

1961234745

originating_account_owner_name
string

The account owner name of the origination account.

posting_date
string<date>

The posting date of the transaction once it gets posted

Example:

"2022-03-18"

suspended
boolean

Whether the transfer is suspended or not.

Example:

false

transaction_id
string<uuid>

The related transaction id of the transfer.

Example:

"45b5246f-ad97-4629-9aac-465b74a05505"